services:
  web84:
    build:
      context: "."
      dockerfile: "dockerfiles/php8.4.Dockerfile"
    ports:
      - "20004:80"
      - "30004:443"
    environment:
      PHP_CONTAINER_DEBUGGING: "true"
      LAP_MAX_EXECUTION_TIME: "600"
    volumes:
      - "./test-data/www/:/var/www/htdocs/"
      - "./test-data/ssl-certs/:/etc/ssl/apache2/"

  web83:
    build:
      context: "."
      dockerfile: "dockerfiles/php8.3.Dockerfile"
    ports:
      - "20003:80"
      - "30003:443"
    environment:
      PHP_CONTAINER_DEBUGGING: "true"
      LAP_MAX_EXECUTION_TIME: "600"
    volumes:
      - "./test-data/www/:/var/www/htdocs/"
      - "./test-data/ssl-certs/:/etc/ssl/apache2/"

  web82:
    build:
      context: "."
      dockerfile: "dockerfiles/php8.2.Dockerfile"
    ports:
      - "20002:80"
      - "30002:443"
    environment:
      PHP_CONTAINER_DEBUGGING: "true"
      LAP_MAX_EXECUTION_TIME: "600"
    volumes:
      - "./test-data/www/:/var/www/htdocs/"
      - "./test-data/ssl-certs/:/etc/ssl/apache2/"

  web81:
    build:
      context: "."
      dockerfile: "dockerfiles/php8.1.Dockerfile"
    ports:
      - "20001:80"
      - "30001:443"
    environment:
      PHP_CONTAINER_DEBUGGING: "true"
      LAP_MAX_EXECUTION_TIME: "600"
    volumes:
      - "./test-data/www/:/var/www/htdocs/"
      - "./test-data/ssl-certs/:/etc/ssl/apache2/"
